Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
ByteSliceReader.h File Reference
`#include "IndexInput.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::ByteSliceReader
| IndexInput that knows how to read the byte slices written by Posting and PostingVector. We read the bytes in each slice until we hit the end of that slice at which point we read the forwarding address of the next slice and then jump to it. More...

## Namespaces

| Lucene

clucene.sourceforge.net